> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mylifeforce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest Patient Biomarkers

> The API always returns true as background jobs process the results. 



## OpenAPI

````yaml POST /patient/{patientId}/results
openapi: 3.0.1
info:
  title: Lifeforce Care Team API
  description: An API used by the Lifeforce care team portal to query patient data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://om-staging.mylifeforce.com/api/m2m
security:
  - bearerAuth: []
paths:
  /patient/{patientId}/results:
    post:
      description: Ingests Biomarker Results for a patient
      parameters:
        - $ref: '#/components/parameters/PatientIdParam'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                received_date:
                  $ref: '#/components/schemas/DateTime'
                collected_date:
                  $ref: '#/components/schemas/DateTime'
                report_generated_date:
                  $ref: '#/components/schemas/DateTime'
                markers:
                  type: array
                  items:
                    $ref: '#/components/schemas/IngestableBiomarker'
              required:
                - markers
                - received_date
                - collected_date
                - report_generated_date
      responses:
        '200':
          description: Successful ingestion of biomarker results
          content:
            application/json:
              schema:
                type: object
                properties:
                  patient_id:
                    type: string
                    description: The ID of the patient
                  success:
                    type: boolean
                    description: Indicates if the operation was successful
                required:
                  - patient_id
                  - success
        '400':
          description: Invalid input provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Patient not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    PatientIdParam:
      name: patientId
      in: path
      description: The id of the patient in question
      required: true
      schema:
        $ref: '#/components/schemas/UUID'
  schemas:
    DateTime:
      type: string
      format: date-time
      example: '2022-04-18T09:46:00Z'
    IngestableBiomarker:
      type: object
      properties:
        name:
          type: string
          description: Name of the biomarker
        result:
          type: string
          description: Value of the biomarker result
        result_level:
          type: string
          description: Result level whether Low, Ok or High
        unit:
          type: string
          description: Unit of the biomarker result
        lab_comments:
          type: string
          description: Any additional comments on the biomarker
      required:
        - name
        - result
        - unit
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    UUID:
      type: string
      format: uuid
      example: 29ea9012-c622-4851-a57a-9327abd21198
      description: A universally unique identifier.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````